%define	name	directfb
%define version 1.6.2
%define release %mkrel 3
%define	oname	DirectFB
%define api	1.6
%define	major	0
%define	libname	%mklibname %{name} %{api} %{major}
%define develname %mklibname %name -d

# Multiple applications support
# Requires fusion kernel module
%define build_multi	0
%{?_without_multi: %{expand: %%global build_multi 0}}
%{?_with_multi: %{expand: %%global build_multi 1}}

Summary:	Hardware graphics acceleration library
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	LGPLv2+
Group:		System/Libraries
Source0:	http://directfb.org/downloads/Core/%{oname}-1.6/%{oname}-%{version}.tar.gz
# from Debian
Patch0:		03_link_static_sysfs.patch
Patch1:		DirectFB-1.6.1-link-static-ar.patch
# Explicitly link with -lm. Was failing only on x86_64, but not on i586,
# apparently because -O3 was generating code to bypass libm on i586.
Patch3:		DirectFB-1.2.7-sincos-x86_64.patch
# remove common linkage of x11 system and x11 input driver
# it makes directfb segfault
# (this is a workaround, not a proper upstreamable fix)
Patch4:		DirectFB-1.4.2-x11-linkage.patch
# (blino) fix build with gbm from latest Mesa (8.1)
Patch5:		0001-Mesa-adapt-to-upstream-gbm-API-change.patch
# from Debian #401296, 93_fix_unicode_key_handling.patch
Patch6:		DirectFB-1.4.2-unicode.patch
Patch7:		DirectFB-1.6.1-svg-includedir.patch
# from rh
Patch8:		DirectFB-1.5.3-add-missing-davinci-files.patch
Patch9:		DirectFB-1.6.1-gcc-atomics-on-arm.patch
URL:		http://directfb.org/
BuildRequires:	pkgconfig(egl)
BuildRequires:	pkgconfig(freetype2)
BuildRequires:	pkgconfig(gbm)
BuildRequires:	pkgconfig(glesv2)
BuildRequires:	pkgconfig(libdrm)
BuildRequires:	pkgconfig(libpng) >= 1.2.2
BuildRequires:	pkgconfig(libsvg-cairo) >= 0.1.6
BuildRequires:	pkgconfig(vdpau)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xext)
BuildRequires:	pkgconfig(xproto)
BuildRequires:	libvncserver-devel
BuildRequires:	libjpeg-devel >= 6b
BuildRequires:	libjasper-devel
BuildRequires:	zlib-devel
BuildRequires:	libsysfs2-devel
%if %{build_multi}
BuildRequires:	fusion-devel >= 3.0
%endif

%description
DirectFB hardware graphics acceleration - libraries.

%package -n	%{libname}
Summary:        Shared library part of %{oname}
Group:		System/Libraries

%description -n	%{libname}
DirectFB hardware graphics acceleration - libraries.

This package contains the %{oname} shared library and interface modules.
It's required for running apps based on %{oname}.


%package -n	%{develname}
Group:		Development/C
Summary:	Header files for compiling DirectFB applications
Requires:	%{libname} = %{version}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{oname}-devel = %{version}-%{release} %{name}-devel = %{version}-%{release}
Conflicts:	%mklibname -d directfb 0.9_20
Conflicts:	%mklibname -d directfb 0.9_21
Conflicts:	%mklibname -d directfb 0.9_25
Conflicts:	%mklibname -d directfb 1.0_0

%description -n	%{develname}
DirectFB header files for building applications based on %{oname}. 

%package	doc
Summary:	DirectFB - documentation
Group:		Documentation
BuildArch:	noarch

%description	doc
DirectFB documentation and examples.

%prep
%setup  -q -n %{oname}-%{version}
%patch0 -p1 -b .sysfs
%patch1 -p1 -b .link-static-ar
%patch3 -p1
%patch4 -p1 -b .x11-linkage
%patch5 -p1 -b .gbm
%patch6 -p1 -b .unicode
%patch7 -p0 -b .svg
%patch8 -p1
%patch9 -p1
autoreconf -if

%build
%configure2_5x \
	--disable-maintainer-mode \
	--enable-shared \
	--disable-static \
	--disable-fast-install \
	--disable-debug \
%ifarch %{ix86}
	--disable-mmx --disable-sse \
%endif
%if %{build_multi}
	--enable-multi
%else
	--disable-multi
%endif

%make

%install
%makeinstall_std

find %{buildroot} -name '*.la' | xargs rm

# multiarch policy
%multiarch_binaries %{buildroot}%{_bindir}/directfb-config

%files -n %{libname}
%doc README* AUTHORS NEWS TODO
%{_libdir}/lib*%{api}.so.%{major}*
%{_libdir}/directfb-%{api}-%{major}
%{_datadir}/directfb-%{version}
%ifarch %arm
%{_libdir}/libdavinci_c64x.so.0*
%endif

%files -n %{develname}
%{_bindir}/dfbdump
%{_bindir}/dfbfx
%{_bindir}/dfbg
%{_bindir}/dfbinfo
%{_bindir}/dfbinput
%{_bindir}/dfbinspector
%{_bindir}/dfblayer
%{_bindir}/dfbmaster
%{_bindir}/dfbpenmount
%{_bindir}/dfbscreen
%{_bindir}/directfb-config
%{_bindir}/directfb-csource
%{_bindir}/mkdfiff
%{_bindir}/mkdgiff
%{_bindir}/mkdgifft
%{_bindir}/pxa3xx_dump
%ifarch %arm
%{_bindir}/c64xdump
%endif
%multiarch %{multiarch_bindir}/directfb-config
%{_includedir}/directfb
%{_includedir}/directfb-internal
%{_mandir}/man1/directfb-csource.1*
%{_mandir}/man1/dfbg.1*
%{_mandir}/man5/directfbrc.5*
%{_libdir}/pkgconfig/*
%{_libdir}/*.so

%files doc
%doc docs/html/*


%changelog

* Fri Jan 11 2013 umeabot <umeabot> 1.6.2-3.mga3
+ Revision: 348817
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 27 2012 rtp <rtp> 1.6.2-2.mga3
+ Revision: 335674
- merge build fixes from Fedora.

* Wed Oct 24 2012 luigiwalser <luigiwalser> 1.6.2-1.mga3
+ Revision: 309540
- 1.6.2

* Sun Oct 14 2012 ennael <ennael> 1.6.1-4.mga3
+ Revision: 305353
- Documentation group

  + luigiwalser <luigiwalser>
    - fix URLs
    - cosmetic fixes

* Sat Jul 28 2012 fwang <fwang> 1.6.1-3.mga3
+ Revision: 275383
- build plain i586 binary

* Sat Jul 28 2012 blino <blino> 1.6.1-2.mga3
+ Revision: 275366
- fix build with gbm from Mesa 8.1 and buildrequire gbm

* Sat Jul 28 2012 fwang <fwang> 1.6.1-1.mga3
+ Revision: 275225
- fix include dir of svg interface
- disable mesa as it does not build now
- update br
- new version 1.6.1

* Fri Jan 27 2012 fwang <fwang> 1.5.3-4.mga2
+ Revision: 202126
- drop static requires

* Wed Sep 21 2011 fwang <fwang> 1.5.3-3.mga2
+ Revision: 146257
- update file list
- drop .la files
 disable static libs

* Sun Sep 11 2011 fwang <fwang> 1.5.3-2.mga2
+ Revision: 142284
- add gentoo patch to build with libpng 1.5
- rebuild for new directtfb
- new version 1.5.3

* Mon Jul 18 2011 fwang <fwang> 1.5.1-1.mga2
+ Revision: 125747
- New version 1.5.1
  drop unneeded patches

* Mon Jul 18 2011 fwang <fwang> 1.4.13-1.mga2
+ Revision: 125734
- new version 1.4.13

  + ahmad <ahmad>
    - clean spec and drop old/unneeded scriptlets
    - imported package directfb

